
alter table jin_product add pg_manual_use int(1) not null default 0 after pg_use_global_settings;
alter table jin_product add pg_manual_message text not null default '' after pg_manual_use;

alter table jin_form_editor add obj_id int(11) not null default 0 after code;
drop index owner_id on jin_form_editor;
create index owner_id on jin_form_editor(owner_id,obj_id,code);

alter table jin_user add registered int(1) not null default 0 after signature;
update jin_user set registered=1;
